Name:           metadata-extractor
Version:        2.3.1
Release:        13%{?dist}
Summary:        JPEG metadata extraction framework

# Read upstream homepage for license information
License:        Public Domain
URL:            http://www.drewnoakes.com/code/exif/
Source0:        http://www.drewnoakes.com/code/exif/releases/%{name}-%{version}-src.jar
# Patch provided by Gabriel Ebner to remove all references to the 
# com.sun classes. Package builds with a free java implementation now.
Patch0:         %{name}-2.3.1-nosun.patch
# Patch from upstream svn r16
# Fix encoding errors
Patch1:         %{name}-2.3.1-encoding.patch

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  ant-junit
Requires:       java-headless


%description
Java based metadata extraction library for JPEG images with support for Exif 
and Iptc metadata segments, including manufacturer specific metadata of 
several digital camera models.


%package javadoc
Summary:        Javadocs for %{name}


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# Use system junit
build-jar-repository -s -p Libraries junit

# Fix end-of-line encoding
sed -i 's/\r//' ChangeLog.txt

# Delete test directories
find . -type d -name test -print | xargs rm -rf

# Disable junit tests
sed -i 's/depends="clean, compile, test"/depends="clean, compile"/' build.xml


%build
ant dist-binaries javadoc


%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p Releases/%{name}-%{version}.jar   \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp javadoc/*  \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

#javadoc alias
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -sf %{name}-%{version} %{name}
popd


%files
%{_javadir}/%{name}.jar
%doc ChangeLog.txt


%files javadoc
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 21 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.3.1-12
- Switch to java-headless

* Fri Mar 21 2014 Michael Simacek <msimacek@redhat.com> - 2.3.1-12
- Update to current packaging guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 29 2012 Andrea Musuruane <musuruan@gmail.com> 2.3.1-8
- Fix encoding errors

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 18 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-5
- Fixed javadoc package requires
- Created javadoc directory alias

* Sat Sep 12 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-4
- Disabled junit tests because of bad coding in the tests themselves

* Sat Aug 22 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-3
- Used a different workaround as suggested by Guido Grazioli to make 
  junit tests complete successfully

* Fri Aug 14 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-2
- Created JAR alias
- Used a patch to make junit tests complete successfully

* Sun Aug 02 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-1
- First release

